From 22d270f2024cc430e19e7debda0d6c19cb30b354 Mon Sep 17 00:00:00 2001
From: root <root@tcsia13.intinfra.com>
Date: Wed, 1 Apr 2009 08:24:15 +0200
Subject: [PATCH] log name and prefix REMOTE for remote api

---
 cobbler/item.py   |    2 +-
 cobbler/remote.py |    5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/cobbler/item.py b/cobbler/item.py
index 7d176d0..2432fcd 100644
--- a/cobbler/item.py
+++ b/cobbler/item.py
@@ -126,7 +126,7 @@ class Item(serializable.Serializable):
             raise CX(_("name must be a string"))
         for x in name:
             if not x.isalnum() and not x in [ "_", "-", ".", ":", "+" ] :
-                raise CX(_("invalid characters in name")) 
+                raise CX(_("invalid characters in name: '%s'" % name)) 
         self.name = name
         return True
 
diff --git a/cobbler/remote.py b/cobbler/remote.py
index 5397a97..8959f68 100644
--- a/cobbler/remote.py
+++ b/cobbler/remote.py
@@ -168,8 +168,11 @@ class CobblerXMLRPCInterface:
            except:
                # invalid or expired token?
                m_user = "???"
-        msg = "%s; user(%s)" % (msg, m_user)
+        msg = "REMOTE %s; user(%s)" % (msg, m_user)
  
+        if name is not None:
+            msg = "%s; name(%s)" % (msg, name)
+
         if object_id is not None:
             msg = "%s; object_id(%s)" % (msg, object_id)
 
-- 
1.5.4.7

